Package org.springframework.security.web.webauthn.api

# Class AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder

Enclosing class:
  AuthenticatorAttestationResponse

public static final class AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder extends Object
Builds `AuthenticatorAssertionResponse`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
`attestationObject(Bytes attestationObject)`
Sets the `AuthenticatorAttestationResponse.getAttestationObject()` property.
`AuthenticatorAttestationResponse`
`build()`
Builds a `AuthenticatorAssertionResponse`.
`AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
`clientDataJSON(Bytes clientDataJSON)`
Sets the `AuthenticatorResponse.getClientDataJSON()` property.
`AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
`transports(List<AuthenticatorTransport> transports)`
Sets the `AuthenticatorAttestationResponse.getTransports()` property.
`AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
`transports(AuthenticatorTransport... transports)`
Sets the `AuthenticatorAttestationResponse.getTransports()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### attestationObject

public AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder attestationObject(Bytes attestationObject)
Sets the `AuthenticatorAttestationResponse.getAttestationObject()` property.

Parameters:
  `attestationObject` - the attestation object.
Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`

### transports

public AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder transports(AuthenticatorTransport... transports)
Sets the `AuthenticatorAttestationResponse.getTransports()` property.

Parameters:
  `transports` - the transports
Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`

### transports

public AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder transports(List<AuthenticatorTransport> transports)
Sets the `AuthenticatorAttestationResponse.getTransports()` property.

Parameters:
  `transports` - the transports
Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`

### clientDataJSON

public AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder clientDataJSON(Bytes clientDataJSON)
Sets the `AuthenticatorResponse.getClientDataJSON()` property.

Parameters:
  `clientDataJSON` - the client data JSON.
Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`

### build

public AuthenticatorAttestationResponse build()
Builds a `AuthenticatorAssertionResponse`.

Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`